Summary:	Ulogd - The userspace logging daemon for netfilter
Name:		ulogd
Version:	2.0.0
Release:	1
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.netfilter.org/projects/ulogd/
Source0:	ftp://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2.sig
Source2:	ulogd.init
# (fc) 1.24-3mdv fix killall path (Mdv bug #35286)
Patch0:		ulogd-1.24-fixkillall.patch
Patch1:		ulogd-build_fix.diff
Patch2:		ulogd-2.0.0-mdv_conf.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	autoconf automake libtool
BuildRequires:	dbi-devel
BuildRequires:	libpcap-devel
BuildRequires:	linuxdoc-tools texlive
BuildRequires:	mysql-devel
BuildRequires:	netfilter_acct-devel
BuildRequires:	netfilter_conntrack-devel
BuildRequires:	netfilter_log-devel
BuildRequires:	nfnetlink-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
Requires:	userspace-ipfilter

%description
Ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4/2.6 firewalling subsystem. Ulogd is able to log packets in various
formats to different targets (text files, databases, etc.). It has an
easy-to-use plugin interface to add new protocols and new output targets.

%package	mysql
Summary:	MySQL output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	mysql
Ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.

%package	pgsql
Summary:	PostgreSQL output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	pgsql
Ulogd-pgsql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%package	sqlite
Summary:	SQLite output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	sqlite
Ulogd-sqlite is a SQLite output plugin for ulogd. It enables logging of
firewall information into a SQLite database.

%package	pcap
Summary:	PCAP output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	pcap
Ulogd-pcap is a output plugin for ulogd that saves packet logs as PCAP file.
PCAP is a standard format that can be later analyzed by a lot of tools such as
tcpdump and wireshark.

%package	dbi
Summary:	Libdbi framework output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description	dbi
Ulogd-dbi is a libdbi output plugin for ulogd. It enables logging of
firewall information through a libdbi interface.

%prep

%setup -q
%patch0 -p1 -b .fixkillall
%patch1 -p1
%patch2 -p0

# lib64 fix
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

cp %{SOURCE2} ulogd.init

%build
autoreconf -fi
%serverbuild

%configure2_5x \
    --disable-static \
    --enable-shared \
    --with-pgsql=%{_prefix} \
    --with-pgsql-inc=%{_includedir}/postgresql \
    --with-mysql=%{_prefix} \
    --with-mysql-inc=%{_includedir}/mysql \
    --with-dbi=%{_prefix} \
    --with-dbi-lib=%{_libdir} \
    --with-dbi-inc=%{_includedir} \

# bork...
cat >> config.h << EOF
#define HAVE_LIBDBI 1
#define HAVE_LIBMYSQLCLIENT 1
#define HAVE_LIBPQ 1
EOF

%make
make -C doc

%install

%makeinstall_std

# install initscript
install -d %{buildroot}%{_initrddir}
install -m0755 ulogd.init %{buildroot}%{_initrddir}/ulogd

# install logrotate file
install -d %{buildroot}/%{_sysconfdir}/logrotate.d
install ulogd.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/ulogd

install -d %{buildroot}/var/lib/ulogd
install -d %{buildroot}/var/log/ulogd

# install man page
install -d %{buildroot}%{_mandir}/man8
install -m0644 ulogd.8 %{buildroot}%{_mandir}/man8/

install -m0644 ulogd.conf %{buildroot}%{_sysconfdir}/

rm -f %{buildroot}%{_libdir}/ulogd/*.*a

%post
%_post_service ulogd

%preun
%_preun_service ulogd

%files
%doc COPYING AUTHORS README
%doc doc/ulogd.txt
%doc doc/ulogd.html
%doc doc/mysql-ulogd2-flat.sql
%doc doc/mysql-ulogd2.sql
%doc doc/pgsql-ulogd2-flat.sql
%doc doc/pgsql-ulogd2.sql
%attr(0755,root,root) %{_initrddir}/ulogd
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ulogd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/ulogd
%attr(0755,root,root) %{_sbindir}/ulogd
%dir %{_libdir}/ulogd
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_HWHDR.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_IFINDEX.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_IP2BIN.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_IP2HBIN.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_IP2STR.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_MARK.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_PRINTFLOW.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_PRINTPKT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_filter_PWSNIFF.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_inpflow_NFACCT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_inpflow_NFCT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_inppkt_NFLOG.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_inppkt_ULOG.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_inppkt_UNIXSOCK.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_GPRINT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_LOGEMU.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_NACCT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_OPRINT.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_SYSLOG.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_XML.so
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_raw2packet_BASE.so
%dir /var/lib/ulogd
%dir /var/log/ulogd
%attr(0644,root,root) %{_mandir}/man8/*

%files mysql
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_MYSQL.so

%files pgsql
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_PGSQL.so

%files sqlite
%doc doc/sqlite3.table
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_SQLITE3.so

%files pcap
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_PCAP.so

%files dbi
%attr(0755,root,root) %{_libdir}/ulogd/ulogd_output_DBI.so


%changelog
* Fri Jun 29 2012 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1
+ Revision: 807549
- second try making the docs (texlive?)
- 2.0.0

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 1.24-18
+ Revision: 645899
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.24-17mdv2011.0
+ Revision: 627291
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-16mdv2011.0
+ Revision: 626565
- rebuilt against mysql-5.5.8 libs
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.24-13mdv2010.1
+ Revision: 533632
- rebuild

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-12mdv2010.1
+ Revision: 507512
- rebuild

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 1.24-11mdv2010.0
+ Revision: 454051
- P4: fix format string errors
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.24-9mdv2009.1
+ Revision: 311319
- rebuilt against mysql-5.1.30 libs

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.24-8mdv2009.1
+ Revision: 298446
- rebuilt against libpcap-1.0.0

* Sat Sep 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.24-7mdv2009.0
+ Revision: 286127
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Nov 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1.24-3mdv2008.1
+ Revision: 113665
- Patch2 (Guenther): fix killall path (Mdv bug #35286)

